summaryrefslogtreecommitdiff
path: root/oh-my-zsh/plugins/direnv
diff options
context:
space:
mode:
Diffstat (limited to 'oh-my-zsh/plugins/direnv')
-rw-r--r--oh-my-zsh/plugins/direnv/README.md15
-rw-r--r--oh-my-zsh/plugins/direnv/direnv.plugin.zsh16
2 files changed, 31 insertions, 0 deletions
diff --git a/oh-my-zsh/plugins/direnv/README.md b/oh-my-zsh/plugins/direnv/README.md
new file mode 100644
index 0000000..8deaf38
--- /dev/null
+++ b/oh-my-zsh/plugins/direnv/README.md
@@ -0,0 +1,15 @@
+# direnv plugin
+
+This plugin creates the [Direnv](https://direnv.net/) hook.
+
+To use it, add `direnv` to the plugins array in your zshrc file:
+
+```zsh
+plugins=(... direnv)
+```
+
+## Requirements
+
+In order to make this work, you will need to have the direnv installed.
+
+More info on the usage and install: https://github.com/direnv/direnv
diff --git a/oh-my-zsh/plugins/direnv/direnv.plugin.zsh b/oh-my-zsh/plugins/direnv/direnv.plugin.zsh
new file mode 100644
index 0000000..5e32c4c
--- /dev/null
+++ b/oh-my-zsh/plugins/direnv/direnv.plugin.zsh
@@ -0,0 +1,16 @@
+# Don't continue if direnv is not found
+command -v direnv &>/dev/null || return
+
+_direnv_hook() {
+ trap -- '' SIGINT;
+ eval "$(direnv export zsh)";
+ trap - SIGINT;
+}
+typeset -ag precmd_functions;
+if [[ -z ${precmd_functions[(r)_direnv_hook]} ]]; then
+ precmd_functions=( _direnv_hook ${precmd_functions[@]} )
+fi
+typeset -ag chpwd_functions;
+if [[ -z ${chpwd_functions[(r)_direnv_hook]} ]]; then
+ chpwd_functions=( _direnv_hook ${chpwd_functions[@]} )
+fi